Index: code/branches/FICN/src/network/Client.cc
===================================================================
--- code/branches/FICN/src/network/Client.cc	(revision 632)
+++ code/branches/FICN/src/network/Client.cc	(revision 777)
@@ -1,28 +1,28 @@
 /*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Oliver Scheuss, (C) 2007
- *   Co-authors:
- *      ...
- *
- */
+*   ORXONOX - the hottest 3D action shooter ever to exist
+*
+*
+*   License notice:
+*
+*   This program is free software; you can redistribute it and/or
+*   modify it under the terms of the GNU General Public License
+*   as published by the Free Software Foundation; either version 2
+*   of the License, or (at your option) any later version.
+*
+*   This program is distributed in the hope that it will be useful,
+*   but WITHOUT ANY WARRANTY; without even the implied warranty of
+*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+*   GNU General Public License for more details.
+*
+*   You should have received a copy of the GNU General Public License
+*   along with this program; if not, write to the Free Software
+*   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+*
+*   Author:
+*      Oliver Scheuss, (C) 2007
+*   Co-authors:
+*      ...
+*
+*/
 
 //
@@ -38,12 +38,13 @@
 //
 
+#include "core/CoreIncludes.h"
 #include "Client.h"
 
-namespace network{
-
-  /**
-   * Constructor for the Client class
-   * initializes the address and the port to default localhost:NETWORK_PORT
-   */
+namespace network
+{
+  /**
+  * Constructor for the Client class
+  * initializes the address and the port to default localhost:NETWORK_PORT
+  */
   Client::Client(): client_connection(NETWORK_PORT,"127.0.0.1"){
     // set server address to localhost
@@ -52,8 +53,8 @@
 
   /**
-   * Constructor for the Client class
-   * @param address the server address
-   * @param port port of the application on the server
-   */
+  * Constructor for the Client class
+  * @param address the server address
+  * @param port port of the application on the server
+  */
   Client::Client(std::string address, int port) : client_connection(port, address){
     isConnected=false;
@@ -61,8 +62,8 @@
 
   /**
-   * Constructor for the Client class
-   * @param address the server address
-   * @param port port of the application on the server
-   */
+  * Constructor for the Client class
+  * @param address the server address
+  * @param port port of the application on the server
+  */
   Client::Client(const char *address, int port) : client_connection(port, address){
     isConnected=false;
@@ -70,7 +71,7 @@
 
   /**
-   * Establish the Connection to the Server
-   * @return true/false
-   */
+  * Establish the Connection to the Server
+  * @return true/false
+  */
   bool Client::establishConnection(){
     isConnected=client_connection.createConnection();
@@ -79,7 +80,7 @@
 
   /**
-   * closes the Connection to the Server
-   * @return true/false
-   */
+  * closes the Connection to the Server
+  * @return true/false
+  */
   bool Client::closeConnection(){
     isConnected=false;
@@ -88,9 +89,9 @@
 
   /**
-   * submits a MouseAction to the server
-   * @param x x Coordinate
-   * @param y y Coordinate
-   * @return true/false
-   */
+  * submits a MouseAction to the server
+  * @param x x Coordinate
+  * @param y y Coordinate
+  * @return true/false
+  */
   bool Client::sendMouse(double x, double y){
     // generate packet and add it to the queue
@@ -98,5 +99,5 @@
       return false;
     if(!client_connection.addPacket(pck_gen.mousem(x, y)))
-        return false;
+      return false;
     // send packets
     return client_connection.sendPackets();
@@ -104,8 +105,8 @@
 
   /**
-   * submits a Keystrike to the server
-   * @param key_code code to submit
-   * @return true/false
-   */
+  * submits a Keystrike to the server
+  * @param key_code code to submit
+  * @return true/false
+  */
   bool Client::sendKeyboard(char key_code){
     // generate packet and add it to queue
@@ -113,5 +114,5 @@
       return false;
     if(!client_connection.addPacket(pck_gen.keystrike(key_code)))
-        return false;
+      return false;
     // send packets
     return client_connection.sendPackets();
@@ -119,8 +120,8 @@
 
   /**
-   * submits a chat message to the server
-   * @param message message to send
-   * @return true/false
-   */
+  * submits a chat message to the server
+  * @param message message to send
+  * @return true/false
+  */
   bool Client::sendChat( std::string message ){
     // generate packet and add it to queue
@@ -134,9 +135,9 @@
 
   /**
-   * Adds a MouseAction to the PacketQueue
-   * @param x x Coordinate
-   * @param y y Coordinate
-   * @return true/false
-   */
+  * Adds a MouseAction to the PacketQueue
+  * @param x x Coordinate
+  * @param y y Coordinate
+  * @return true/false
+  */
   bool Client::addMouse(double x, double y){
     // generate packet and add it to the queue
@@ -148,8 +149,8 @@
 
   /**
-   * Adds a Keystrike to the PacketQueue
-   * @param key_code
-   * @return true/false
-   */
+  * Adds a Keystrike to the PacketQueue
+  * @param key_code
+  * @return true/false
+  */
   bool Client::addKeyboard(char key_code){
     // generate packet and add it to queue
@@ -161,6 +162,6 @@
 
   /**
-   * Sends out all the packets queued by addXXX
-   */
+  * Sends out all the packets queued by addXXX
+  */
   bool Client::sendPackets(){
     if(!isConnected)
@@ -176,6 +177,6 @@
 
   /**
-   * Performs a GameState update
-   */
+  * Performs a GameState update
+  */
   void Client::tick(float time){
     ENetPacket *packet;
